Go to the first, previous, next, last section, table of contents.

### `diff`

`diff(rat[,varn]*)`
`diff(rat,varlist)`
  :: Differentiate rat successively by var's for the first form, or by variables in varlist for the second form.

return
  expression
rat
  rational expression which contains elementary functions.
varn
  indeterminate
varlist
  list of indeterminates

- Differentiate rat successively by var's for the first form, or by variables in varlist for the second form.
- differentiation is performed by the specified indeterminates (variables) from left to right. `diff`(rat,`x,y`) is the same as `diff`(`diff`(rat,`x`),`y`).

    [0] diff((x+2*y)^2,x);
    2*x+4*y
    [1] diff((x+2*y)^2,x,y);
    4
    [2] diff(x/sin(log(x)+1),x);
    (sin(log(x)+1)-cos(log(x)+1))/(sin(log(x)+1)^2)
    [3] diff(sin(x),[x,x,x,x]);
    sin(x)

Go to the first, previous, next, last section, table of contents.